Subject: RE: [Megaco] Local- and Remote descriptors for multiplexed TDM st reams

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 12 Mar 2002 08:09:18 -0500

I was really careless when specifying the multiplexing termination -- too
busy worrying about the transport issues.  In the first place, I should have
had three streams, not just one.  You need the control stream so you can
direct it (through another termination) to the right remote address.  As far
as the logical channel numbers are concerned, remember that Local and Remote
deal with different directions of flow, so you don't have to qualify
explicitly. 

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 12:56 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: [email-masked]
Subject: Re: [Megaco] Local- and Remote descriptors for multiplexed TDM
streams

Hi Tom, 
We have two sets of descriptors to play with: those on the supporting
bearers and those on the multiplexing descriptor.  I think this gives you
what you need.  Here's the schema as I see it for an H.324 connection based
on a single TDM bearer (hence with no intervening H.226 multiplex): 
Based on my SDP draft, the Local and Remote descriptors for the TDM bearer
appear as follows, assuming the inbound Q.931 indicated Information Transfer
Capability = "video", User Layer 1 Protocol = "Recommendations H.223 and
H.245".  I wouldn't be surprised if other values are used in practice, in
which case I'll modify my example. 
Local (and Remote) ={ 
v=0 
o=- 7736844526 7736842807 IN IP4 125.125.125.111 
s=- 
t= 0 0 
b=AS:64 
c=TDM NUL xxxx 
m=application 1 TDM h324i 
} 
Preparation of this example has forced me to face the fact that the Local
and Remote descriptors for the multiplexing termination are problematic.
I'm not sure what transport to assign to them.  I suspect that transport has
to be multiplex-specific, since it is the multiplex which determines the
format of the raw media samples.  That means we are going to have to define
SDP for each of the multiplex types we support.  Let me hazard a guess at
what an audio + video H.324 conference will look like: 
Local (an Remote) ={ 
v=0 
o=- 7736849657 7736850233 IN IP4 125.125.125.111 
s=- 
t= 0 0 
c=H223 NUL xxxx 
m=control 0 H223 H245 
m=audio 1 H223 PCMU 
[possible audio attributes] 
m=video 2 H223 H263 
[possible video attributes] 
} 
Here the ports are the H.245 logical channel numbers.

You seem to define the LCNs for each media type in the m= line. That is not
possible in the way you've done it, since you may different LCN values in
each media direction. To make it work, you would need something like: 
m=audio 1 H223 PCMU  (LCN = 1) 
a=recv 
m=audio 2 H223 PCMU  (LCN = 2) 
a=send 
Also, for which Stream did you specify the Local/Remote descriptor? The
"input" stream to the multiplexer (which in most cases will be the
multiplexed TDM stream)? 
Since the audio and video bytes will be demultiplexed into separate
channels, represented by separate H.248 streams, another option would be to
use TWO sets of Local/Remote descriptors, each within a separate Stream
Descriptor (each Stream representing a demultiplexed channel). 
I am not sure we need the m= line for the control channel, since the LCN is
always 0 for that, but that's details. 
I am still not sure I like the idea of using SDP for TDM terminations, but
the way Tom uses it for the MUX termination looks interesting, so I think
that's something we should maybe look more into :) 
Is this something people would like to spend time discussing in Minneapolis?

Regards, 
Christer Holmberg 
Ericsson Finland 
 
Thoughts on this? 

-----Original Message----- 
From: Christer Holmberg [mailto:[email-masked]] 
Sent: Monday, March 11, 2002 3:13 AM 
To: [email-masked] 
Subject: [Megaco] Local- and Remote descriptors for multiplexed TDM 
streams 
  
Hi, 
No matter which method (SDP or something else) is used to describe the 
Local- and/or Remote descriptors for a TDM termination, how do we handle 
multiplexed TDM streams, which may include multiple streams with 
different codecs etc... ? 
One argument could be that in this case the descriptors should not be in 
the TDM termination, but in the MUX termination. Since each 
demultiplexed channel is represented by a H.248 Stream, each Stream 
descriptor in the MUX termination would then define the Local- and/or 
Remote descriptors for each channel. 
However, there may still be specific Local- and/or Remote descriptors 
which the TDM termination needs, so in this case we could have two sets 
of TDM descriptors within the same context.... 
Any ideas/comments on this? 
Regards, 
Christer Holmberg 
Ericsson Finland 
_______________________________________________ 
Megaco mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 12 Mar 2002 15:48:48 +0200

Hi,

> I was really careless when specifying the multiplexing termination --
> too busy worrying about the transport issues.  In the first place, I
> should have had three streams, not just one.  You need the control
> stream so you can direct it (through another termination) to the right
> remote address.

This depends on how you implement the H.245 (control stream)
backhauling. For example, if you use H.248 Events, you could activate
the event detection on the MUX termination itself. In that case you may
not have to define a specific H.248 Stream for the control stream, since
you are not going to transport the demultiplexed control streams between
different terminations.

> As far as the logical channel numbers are concerned, remember that
> Local and Remote deal with different directions of flow, so you don't
> have to qualify explicitly.

Ok, but then we have to decide which descriptor defines the direction
for the media going from the MUX termination, and which descriptor
defines the direction for the media going out from the MUX termination.

My proposal would be that the media coming FROM another termination (eg
an RTP termination) would be defined in the Remote descriptor, and the
media sent TO the other termination would be defined in the Local
descriptor.

Regards,

Christer Holmberg
Ericsson Finland

> Subject: Re: [Megaco] Local- and Remote descriptors for multiplexed
> TDM streams
>
>
> Hi Tom,
> bearers and those on the multiplexing descriptor.  I think this gives
> you what you need.  Here's the schema as I see it for an H.324
> connection based on a single TDM bearer (hence with no intervening
> H.226 multiplex):
>
> Based on my SDP draft, the Local and Remote descriptors for the TDM
> bearer appear as follows, assuming the inbound Q.931 indicated
> Information Transfer Capability = "video", User Layer 1 Protocol =
> "Recommendations H.223 and H.245".  I wouldn't be surprised if other
> values are used in practice, in which case I'll modify my example.
>
> Local (and Remote) ={
> v=0
> Preparation of this example has forced me to face the fact that the
> Local and Remote descriptors for the multiplexing termination are
> problematic.  I'm not sure what transport to assign to them.  I
> suspect that transport has to be multiplex-specific, since it is the
> multiplex which determines the format of the raw media samples.  That
> means we are going to have to define SDP for each of the multiplex
> types we support.  Let me hazard a guess at what an audio + video
> H.324 conference will look like:
>
> Local (an Remote) ={
> v=0
> You seem to define the LCNs for each media type in the m= line. That
> is not possible in the way you've done it, since you may different LCN
> values in each media direction. To make it work, you would need
> something like:
>
> Also, for which Stream did you specify the Local/Remote descriptor?
> The "input" stream to the multiplexer (which in most cases will be the
> multiplexed TDM stream)?
>
> channels, represented by separate H.248 streams, another option would
> be to use TWO sets of Local/Remote descriptors, each within a separate
> Stream Descriptor (each Stream representing a demultiplexed channel).
>
> I am not sure we need the m= line for the control channel, since the
> LCN is always 0 for that, but that's details.
> I am still not sure I like the idea of using SDP for TDM terminations,
> but the way Tom uses it for the MUX termination looks interesting, so
> I think that's something we should maybe look more into :)
>

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 12 Mar 2002 15:48:48 +0200

Hi,

Regards,

Christer Holmberg
Ericsson Finland

---

From: "Naveen Krishnan" <[email-masked]>
Date: Wed, 13 Mar 2002 13:52:34 +0800

Hi all,
         If MGC wants to know only the Status of TDM like out of service/In service.

How can this be achived. As per RFC there are some method, but it is not clear.

Can anyboby help us on this regard.

-Naveen Krishnan

---

From: "Naveen Krishnan" <[email-masked]>
Date: Wed, 13 Mar 2002 13:52:34 +0800

Hi all,

-Naveen Krishnan